GET /api/client/statement

Every deposit and every delivered order with its price, newest first.

Surface: client. Who may call: client. Key: client.statement.

Example request

curl -X GET https://caremcp.com/api/client/statement \
  -H "Authorization: Bearer <session or access token>"

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {}
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "array",
 "items": {
  "type": "object",
  "properties": {
   "kind": {
    "type": "string",
    "enum": [
     "credit",
     "charge"
    ]
   },
   "amountCents": {
    "type": "integer",
    "minimum": -9007199254740991,
    "maximum": 9007199254740991
   },
   "ref": {
    "type": "string"
   },
   "clientRef": {
    "type": [
     "string",
     "null"
    ]
   },
   "description": {
    "type": "string"
   },
   "at": {
    "type": "string"
   }
  },
  "required": [
   "kind",
   "amountCents",
   "ref",
   "clientRef",
   "description",
   "at"
  ],
  "additionalProperties": false
 }
}